bayesTtest<-function(A, B, left.tail=FALSE,nTestFolds=1, n_samples=100000, alpha=0.05) {
  qDataSets=length(A)
  pvalues=vector(mode="numeric",length = qDataSets)
  for (k in 1:qDataSets) {
    pvalues[k]=ttest_corrected(delta = A[[k]]-B[[k]], left.tail = left.tail, nTestFolds = nTestFolds)
  }
  cdf=poisson_bin(pvalues,n_samples)
  ph0=1-cdf[floor(qDataSets/2)+1]
  cat("Null hypothesis (classifier_B >= classifier_A) ")
  if (ph0>alpha) {
    cat("accepted\n")    
  } else {
    cat("rejected\n")
  }
  return(ph0) 
}