poisson_bin<-function(bern_prob,n_samples=100000) {  
  len=length(bern_prob)
  data=matrix(data=runif(n = n_samples*len),nrow = n_samples,ncol = len)
  for (i in 1:len) {
    data[data[,i]>1-bern_prob[i],i]=1
    data[data[,i]<1-bern_prob[i],i]=0
  }
  counts=apply(X = data,MARGIN = 1,FUN=sum)
  countsLen=length(counts)
  pdf=vector(mode = "numeric",length = len+1)
  cdf=vector(mode = "numeric",length = len+1)  
  pdf[1]=length(which(counts==0))/countsLen
  cdf[1]=pdf[1]  
  for (i in 2:(len+1)) {
    pdf[i]=length(which(counts==i-1))/countsLen
    cdf[i]=cdf[i-1]+pdf[i]
  }
  return(cdf)
}