\name{bayesTtest-package}
\alias{bayesTtest-package}
\alias{bayesTtest-package}
\docType{package}
\title{
A Bayesian t-test for analyzing cross-validation results on multiple data sets
}
\description{
We present a Bayesian approach for making statistical inference about the accuracy (or any other score) of two competing algorithms which have been assessed via cross-validation on multiple data sets. The approach is constituted by two pieces. The first is a novel correlated Bayesian t -test for the analysis of the cross-validation results on a single data set which accounts for the correlation due to the overlapping training sets. The second piece merges the posterior probabilities computed by the Bayesian correlated t -test on the different data sets to make inference on multiple data sets. It does so by adopting a Poisson-binomial model. The inferences on multiple data sets account for the different uncertainty of the cross-validation results on the different data sets. It is the first test able to achieve this goal. It is generally more powerful than the signed-rank test if ten runs of cross-validation are performed, as it is anyway generally recommended.
}
\details{
\tabular{ll}{
Package: \tab bayesTtest\cr
Type: \tab Package\cr
Version: \tab 1.0\cr
Date: \tab 2015-01-07\cr
License: \tab TBD\cr
}
}
\author{
Giorgio Corani, Alessio Benavoli and Nicola Vermes

Maintainer: Nicola Vermes <vermes@idsia.ch>
}
\references{
To do...
}
\keyword{ package }

