\name{bayesTtest}
\alias{bayesTtest}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Bayesian t-test
}
\description{
This function computes a Bayesian t-test of the scores of two classifiers over multiple data-sets.
}
\usage{
bayesTtest(A, B, left.tail = FALSE, nTestFolds = 1, n_samples = 1e+05, alpha = 0.05)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{A}{
a list of numeric vectors, one for each data-set. Each vector contains the scores computed with cross-validation on classifier A on the corresponding data-set.
}
  \item{B}{
a list of numeric vectors, one for each data-set. Each vector contains the scores computed with cross-validation on classifier B on the corresponding data-set.
}
  \item{left.tail}{
a Boolean specifying the alternative hypothesis: if FALSE then mean is greater than zero, if TRUE then mean is smaller than zero
}
  \item{nTestFolds}{
the amount of folds used as testing fold during the cross-validation
}
  \item{n_samples}{
the number of iterations to perform during the numerical computation of the Poisson distribution function
}
  \item{alpha}{
the significance level of the test
}
}

\value{
This function returns the probability of the null hypothesis.
}

\author{
Nicola Vermes
}

\examples{
bayesTtest(A = list(c(1,1,1,1),c(2,2,2,2)),B = list(c(0.1,0.1,0.1,0.1),c(0.2,0.2,0.2,0.2)))
bayesTtest(B = list(c(1,1,1,1),c(2,2,2,2)),A = list(c(1,1,1,1),c(2,2,2,2)))
}
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
