\name{poisson_bin}
\alias{poisson_bin}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Poisson binomial distribution
}
\description{
Computes numerically the cumulative distribution function of the Poisson binomial distribution, characterized by the Bernoulli probabilities used as input.
}
\usage{
poisson_bin(bern_prob, n_samples = 1e+05)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{bern_prob}{
a numeric vector containing the probabilities for the Bernoulli process
}
  \item{n_samples}{
the number of iterations
}
}

\value{
This function returns a vector containing the cumulative distribution function of the Poisson binomial distribution.
}
\author{
Nicola Vermes
}

\examples{
cdf=poisson_bin(bern_prob = c(0.4,0.2,0.3,0.1))
}

\keyword{ poisson }
\keyword{ bernoulli }
