\name{ttest_corrected}
\alias{ttest_corrected}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Correlated t-test
}
\description{
This function performs a t-test of the hypothesis that the data in input come from a distribution with zero mean.
}
\usage{
ttest_corrected(delta, left.tail = FALSE, nTestFolds = 1)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{delta}{
a numeric vector containing a list of score differences between two classifiers, computed with cross-validation
}
  \item{left.tail}{
a Boolean specifying the alternative hypothesis: if FALSE then mean is greater than zero, if TRUE then mean is smaller than zero
}
  \item{nTestFolds}{
the amount of folds used as testing fold during the cross-validation
}
}

\value{
This function return the p-value.
}
\author{
Nicola Vermes
}
\examples{
pvalue=ttest_corrected(delta = c(0.2,0.4,0.5,0.1))
pvalue_leftTail=ttest_corrected(delta = c(0.2,0.4,0.5,0.1),left.tail = TRUE)
}
\keyword{ t-test }

