function [pdf,cdf]=poisson_bin(bern_prob)
%%function [pdf,cdf]=poisson_bin(bern_prob)
%Computes numerically the pdf and the cdf of the Poisson binomial distribution, characterized by the
%Bernoulli probabilities in vector bern_prob.

n_samples=100000;
data=rand(n_samples,length(bern_prob));
for i=1:length(bern_prob)
    data(data(:,i)>1-bern_prob(i),i)=1;
    data(data(:,i)<1-bern_prob(i),i)=0;
end
counts=sum(data,2);

pdf=zeros(length(bern_prob)+1,1);
cdf=pdf;
for i=1:length(bern_prob)+1
    pdf(i)=sum(counts==i-1)/length(counts);
    if i==1
        cdf(i)=pdf(i);
    else
        cdf(i)=cdf(i-1)+pdf(i);
    end
end
